Bug 435270 - rpm -qi does not respect specs encoding
rpm -qi does not respect specs encoding
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-28 08:52 EST by Andrew Zabolotny
Modified: 2009-01-09 01:04 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:04:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Zabolotny 2008-02-28 08:52:13 EST
Description of problem:

The RPM specification allows to specify localized strings, like
Summary(ru_RU.UTF-8), %description -l ru_RU.UTF-8 and so on. However, when doing
rpm -qi on such packages, the text is always output in whatever encoding they
were in the spec file, without conversion to current locale.

Version-Release number of selected component (if applicable):

rpm-4.4.2.2-7.fc8

How reproducible:

Always

Steps to Reproduce:
1. Get any .src.rpm and install it
2. Add a line to the spec file, like this:
Summary(ru_RU.UTF-8): тест
3. Build and install the built rpm
4. run:
LANG=ru_RU.KOI8-R rpm -qi <package name>

Actual results:

The Summary: line will display the summary in UTF-8

Expected results:

The Summary: line should display the summary in KOI8-R, as requested by the LANG
environment variable.
Comment 1 Bug Zapper 2008-11-26 04:57:47 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-01-09 01:04:46 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.